commit:     2be413922624d6b622539a37b9bb430742162761
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 31 08:02:17 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 31 10:14:32 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2be41392

dev-python/httplib2: Bump to 0.19.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/httplib2/Manifest               |  1 +
 dev-python/httplib2/httplib2-0.19.1.ebuild | 50 ++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/httplib2/Manifest b/dev-python/httplib2/Manifest
index aadcd1f8b58..07236ee57f0 100644
--- a/dev-python/httplib2/Manifest
+++ b/dev-python/httplib2/Manifest
@@ -1 +1,2 @@
 DIST httplib2-0.19.0.tar.gz 263522 BLAKE2B 
b35c8dcf86de17a5d8eac86a9a6b4110fb247925662e24a7645a67dfd0b2e640dc29875b41673c5a91a083f17e9619fd40dd08cf2c9ee7f48c8069bc14a50966
 SHA512 
9193a0e8e9a58a3f0e9b27fdf827932482a47b88af297af6e5f004164ca0b72feeff513b8191bf7c48d6714070a1390ae54eb8a2c6840f54f2580889c7837c7f
+DIST httplib2-0.19.1.tar.gz 263971 BLAKE2B 
ec254249f5c8df2a0dc3fe4e2e9088f6ca14ba84516be77450beacab41cd295d4e741ac6026471fcf8bb8464ebd732a0a856901e5c09324a0f96ad2338b397e7
 SHA512 
0c87b3c9923e81c83df5257ce60f7248d86a64aea0a02d5a3f34be68c692c6abd896f95214899dc6e81b23677efc7684a3cba4c1a47261176dd26c3988054e55

diff --git a/dev-python/httplib2/httplib2-0.19.1.ebuild 
b/dev-python/httplib2/httplib2-0.19.1.ebuild
new file mode 100644
index 00000000000..39da0f2066a
--- /dev/null
+++ b/dev-python/httplib2/httplib2-0.19.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A comprehensive HTTP client library"
+HOMEPAGE="https://pypi.org/project/httplib2/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 
~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+       app-misc/ca-certificates
+       dev-python/pyparsing[${PYTHON_USEDEP}]"
+BDEPEND="
+       test? (
+               dev-python/pytest-timeout[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+PATCHES=( "${FILESDIR}"/${PN}-0.12.1-use-system-cacerts.patch )
+
+src_prepare() {
+       sed -i -e '/--cov/d' setup.cfg || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local deselect=(
+               # broken by using system certificates
+               tests/test_cacerts_from_env.py::test_certs_file_from_builtin
+               tests/test_cacerts_from_env.py::test_certs_file_from_environment
+               
tests/test_cacerts_from_env.py::test_with_certifi_removed_from_modules
+
+               # broken by new PySocks, probably
+               
tests/test_proxy.py::test_server_not_found_error_is_raised_for_invalid_hostname
+               tests/test_proxy.py::test_socks5_auth
+       )
+
+       # tests in python* are replaced by tests/
+       # upstream fails at cleaning up stuff
+       epytest ${deselect[@]/#/--deselect } tests
+}

Reply via email to